org.apache.fop.configuration

## Interface Configuration

All Known Implementing Classes:
  DefaultConfiguration

    public interface Configuration

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAttribute(String key)`
`String` `getAttribute(String key, String defaultValue)`
`boolean` `getAttributeAsBoolean(String key, boolean defaultValue)`
`float` `getAttributeAsFloat(String key)`
`float` `getAttributeAsFloat(String key, float defaultValue)`
`int` `getAttributeAsInteger(String key, int defaultValue)`
`String[]` `getAttributeNames()`
`Configuration` `getChild(String key)`
`Configuration` `getChild(String key, boolean required)`
`Configuration[]` `getChildren(String key)`
`String` `getLocation()`
`String` `getValue()`
`String` `getValue(String defaultValue)`
`boolean` `getValueAsBoolean()`
`boolean` `getValueAsBoolean(boolean defaultValue)`
`float` `getValueAsFloat()`
`float` `getValueAsFloat(float defaultValue)`
`int` `getValueAsInteger()`
`int` `getValueAsInteger(int defaultValue)`

### Method Detail

#### getChild

    Configuration getChild(String key)

#### getChild

    Configuration getChild(String key,
                           boolean required)

#### getChildren

    Configuration[] getChildren(String key)

#### getAttributeNames

    String[] getAttributeNames()

#### getAttribute

    String getAttribute(String key)
                 throws ConfigurationException

Throws:
  `ConfigurationException`

#### getAttribute

    String getAttribute(String key,
                        String defaultValue)

#### getAttributeAsBoolean

    boolean getAttributeAsBoolean(String key,
                                  boolean defaultValue)

#### getAttributeAsFloat

    float getAttributeAsFloat(String key)
                       throws ConfigurationException

Throws:
  `ConfigurationException`

#### getAttributeAsFloat

    float getAttributeAsFloat(String key,
                              float defaultValue)

#### getAttributeAsInteger

    int getAttributeAsInteger(String key,
                              int defaultValue)

#### getValue

    String getValue()
             throws ConfigurationException

Throws:
  `ConfigurationException`

#### getValue

    String getValue(String defaultValue)

#### getValueAsBoolean

    boolean getValueAsBoolean()
                       throws ConfigurationException

Throws:
  `ConfigurationException`

#### getValueAsBoolean

    boolean getValueAsBoolean(boolean defaultValue)

#### getValueAsInteger

    int getValueAsInteger()
                   throws ConfigurationException

Throws:
  `ConfigurationException`

#### getValueAsInteger

    int getValueAsInteger(int defaultValue)

#### getValueAsFloat

    float getValueAsFloat()
                   throws ConfigurationException

Throws:
  `ConfigurationException`

#### getValueAsFloat

    float getValueAsFloat(float defaultValue)

#### getLocation

    String getLocation()